osl::eval::ml::KingXBothBlockedY Class Reference

`#include <king8.h>`

## Public Types

enum | { ONE_DIM = 5 * 9 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weights)

## Static Private Attributes

static CArray< MultiInt, ONE_DIM > | table

## Friends

class | KingXBlockedYBase
class | KingXBothBlocked

## Detailed Description

Definition at line 279 of file core/osl/eval/king8.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 284 of file core/osl/eval/king8.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::KingXBothBlockedY::setUp | ( | const Weights & | weights | ) |

static

Definition at line 612 of file king8.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Friends And Related Symbol Documentation

## KingXBlockedYBase

friend class KingXBlockedYBase

friend

Definition at line 281 of file core/osl/eval/king8.h.

References KingXBlockedYBase.

Referenced by KingXBlockedYBase.

## KingXBothBlocked

friend class KingXBothBlocked

friend

Definition at line 282 of file core/osl/eval/king8.h.

References KingXBothBlocked.

Referenced by KingXBothBlocked.

## Member Data Documentation

## table

osl::CArray< MultiInt, osl::eval::ml::KingXBothBlockedY::ONE_DIM > osl::eval::ml::KingXBothBlockedY::table

static private

Definition at line 287 of file core/osl/eval/king8.h.

Referenced by osl::eval::ml::KingXBothBlocked::adjust(), and setUp().

The documentation for this class was generated from the following files:

- core/osl/eval/king8.h
- king8.cc